## NAME

r3.mapcalculator - Calculates new grid3D volume from r3.mapcalc expression.

## KEYWORDS

## SYNOPSIS

r3.mapcalculator
r3.mapcalculator help
r3.mapcalculator [-eo] [agrid=string] [bgrid=string] [cgrid=string] [dgrid=string] [egrid=string] [fgrid=string] formula=string outfile=string [help=string] [--verbose] [--quiet]

### Flags:

-e
  Expert mode (enter a set of r3.mapcalc expressions)
-o
  Do not overwrite existing map
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

agrid=string
  A (grid3D file)
bgrid=string
  B (grid3D file)
cgrid=string
  C (grid3D file)
dgrid=string
  D (grid3D file)
egrid=string
  E (grid3D file)
fgrid=string
  F (grid3D file)
formula=string
  Formula (e.g. A-B or A*C+B)
outfile=string
  Name for output grid3D volume
help=string
  Show help
  Options: -,help,man
  Default: -

## DESCRIPTION

r3.mapcalculator provides a GUI frontend to r3.mapcalc. Up to 5 maps can be combined using simple expressions. In the expert mode, it runs r3.mapcalc for more complex expressions. Enter an r3.mapcalc expression in the formula field using the format: A+C or exp(A+C)+(B-2)*7 where A, B, C are 3D raster volumes entered in the A field, B field, and C field.

Do not enter output file in the formula field: correct: A+B; incorrect: newfile = A+B. Use no spaces or blanks.

Expert mode runs r3.mapcalc for more complex expressions.

## SEE ALSO

r3.mapcalc

## AUTHOR

Michael Barton, Arizona State University. Based on r.mapcalculator by R. Brunzema (r.brunzema@web.de)

Last changed: $Date: 2011-11-08 10:42:51 +0100 (út, 08 XI 2011) $

Main index - raster3D index - Full index

© 2003-2014 GRASS Development Team